OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.TextureBorderClamp

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetSGISTextureBorderClamp :: MonadIO m => m Bool
- gl_SGIS_texture_border_clamp :: Bool
- gl_CLAMP_TO_BORDER_SGIS :: GLenum

# Extension Support

glGetSGISTextureBorderClamp :: MonadIO m => m Bool

Is the SGIS_texture_border_clamp extension supported?

gl_SGIS_texture_border_clamp :: Bool

Is the SGIS_texture_border_clamp extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISTextureBorderClamp` in those cases instead.

# Enums

gl_CLAMP_TO_BORDER_SGIS :: GLenum